Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
hip3
/
liquidations
/
{symbol}
/
levels
Get HIP-3 liquidation levels
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/hip3/liquidations/{symbol}/levels \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "mid_price": 64215,
    "levels": [
      {
        "price_bucket": 64200,
        "bid_count": 12,
        "bid_size": 31.25,
        "ask_count": 9,
        "ask_size": 18.75
      }
    ]
  },
  "meta": {
    "count": 123,
    "next_cursor": "<string>",
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://www.0xarchive.io/dashboard/

Path Parameters

symbol
string
required

Trading pair symbol.

Example:

"km:US500"

Query Parameters

range_pct
number
default:10

Percentage range around current mid/mark price. Values are clamped between 1 and 50. Default 10.

Required range: 1 <= x <= 50
buckets
integer
default:50

Number of price buckets. Values are clamped between 10 and 200. Default 50.

Required range: 10 <= x <= 200
side
enum<string>

Optional side filter. Accepted values: bid, ask, buy, sell, B, A.

Available options:
bid,
ask,
buy,
sell,
B,
A

Response

HIP-3 liquidation level buckets

API response containing liquidation level buckets.

success
boolean
Example:

true

data
object

Liquidation/trigger-order levels response body.

meta
object

Response metadata

Last modified on June 19, 2026